c      adds tune modulation
c      of amplitude dpx, dpy 
c    
       subroutine tunemod (time)

       INCLUDE 'param.f'

       real*8 rm(4,4) 

       do i = 1, 4
       do j = 1, 4
          rm(i,j) = 0.
       end do
       end do
 
       do i = 1, 4
          rm(i,i) = 1.
       end do 

       phx = dpxm * dsin(2.*pi*fx*time) 
       phy = dpym * dsin(2.*pi*fy*time) 

       rm(1,1) = dcos(phx) 
       rm(1,2) = betastar*dsin(phx)
       rm(2,1) = -dsin(phx)/betastar 
       rm(2,2) = dcos(phx)

       rm(3,3) = dcos(phy) 
       rm(3,4) = betastar*dsin(phy)
       rm(4,3) = -dsin(phy)/betastar 
       rm(4,4) = dcos(phy)

       do i = 1, npart

       xo = x(i)
       yo = y(i)
       pxo = px(i)
       pyo = py(i)

       x(i) = rm(1,1)*xo+rm(1,2)*pxo
       px(i) = rm(2,1)*xo+rm(2,2)*pxo
       y(i) = rm(3,3)*yo+rm(3,4)*pyo
       py(i) = rm(4,3)*yo+rm(4,4)*pyo

       end do

       end
