c      beam-beam kick at IP
c    
       subroutine bbkicky2(ichoice,itrip)
c
c      branches out to different nonlinear kicks...
c
c      ichoice = 0, only short range
c      ichoice = 1, only long range
c      ichoice = 2, lr + sr 
c      itrip = 0 or 1, for triplet fields

         INCLUDE 'param.f'


       if (itrip.eq.1) then
c      triplet fields...
       do i = 1, npart 
       xt = x(i)
       yt = y(i)
       pxt = px(i)
       pyt = py(i)
       jinout = -1 
c       write(*,*) ' before 3 ',xt,yt,i,pxt,pyt
       call kicktripy(pxt,pyt,dx,dy,jinout)
       x(i) = xt + dx
       y(i) = yt + dy
c       write(*,*) ' after 3 ',dx,dy,i
       end do 
       endif


       if (ichoice.eq.1.or.ichoice.eq.2) then
c      LR kick before IP 
       do i = 1, npart       
       xt = x(i)
       yt = y(i)
       pxt = px(i)
       pyt = py(i)
       ind = 1
       call kicklry(pxt,pyt,xt,yt,dx,dy,dpx,dpy,ind)
c       call kicklry(pxt,pyt,dx,dy) 
       x(i) = xt - dx
       y(i) = yt - dy
       px(i) = pxt - dpx
       py(i) = pyt - dpy
       end do 
       endif 



       if (ichoice.eq.0.or.ichoice.eq.2) then
c      SR kick 
       do i = 1, npart 
       xt = x(i)
       yt = y(i)
       pxt = px(i)
       pyt = py(i)
       call kicksr(xt,yt,dpx,dpy)
       px(i) = pxt - dpx 
       py(i) = pyt - dpy 
       end do
       endif



       if (ichoice.eq.1.or.ichoice.eq.2) then
       do i = 1, npart       
       xt = x(i)
       yt = y(i)
       pxt = px(i)
       pyt = py(i)
c      LR kick after IP
       ind = 2
       call kicklry(pxt,pyt,xt,yt,dx,dy,dpx,dpy,ind)
c      call kicklry(pxt,pyt,dx,dy) 
       x(i) = xt - dx
       y(i) = yt - dy
       px(i) = pxt - dpx
       py(i) = pyt - dpy
       end do
       endif        


       if (itrip.eq.1) then
c      triplet fields...
       do i = 1, npart 
       xt = x(i)
       yt = y(i)
       pxt = px(i)
       pyt = py(i)
       jinout = 1 
c       write(*,*) ' before 4 ',xt,yt,i,pxt,pyt
       call kicktripy(pxt,pyt,dx,dy,jinout)
       x(i) = xt + dx
       y(i) = yt + dy
c       write(*,*) ' after 4 ',dx,dy,i
       end do 
       endif


       end






