c     long range bb kick, all parasitic
c     crossings lumped together, constant
c     term subtracted, a la Irwin  

      subroutine kicklrwire(pxt,pyt,xt,yt,dx,dy,dpx,dpy,ind)

c     input : pxt, pyt, xt, yt
c             ind = 1: entrance, 2: exit 
c     output : dx, dy, dpx, dpy
c             

       INCLUDE 'param.f'

      dx = 0.
      dy = 0.
      dpx = 0.
      dpy = 0.

      pr2 = (pxt+thetac)**2+pyt*pyt
      pr2plus = (pxt+thetac)**2+(pyt+thetac/2)**2
      pr2minus = (pxt+thetac)**2+(pyt-thetac/2)**2
      pr20 = thetac*thetac
      pr20plus = thetac*thetac*(1.+1/4.)
      pr20minus = thetac*thetac*(1.+1/4.)

      denom = 2.*divstar*divstar

      dx = npar*srparam*
     &      (((pxt+thetac)/pr2*(1.d0-dexp(-pr2/denom))
     &      -thetac/pr20*(1.d0-dexp(-pr20/denom))) 
     &      + ((pxt+thetac)/pr2plus*(1.d0-dexp(-pr2plus/denom))
     &      -thetac/pr20plus*(1.d0-dexp(-pr20plus/denom))) 
     &      + ((pxt+thetac)/pr2minus*(1.d0-dexp(-pr2minus/denom))
     &      -thetac/pr20minus*(1.d0-dexp(-pr20minus/denom)))) 

      dy = npar*srparam*
     &      ((pyt/pr2*(1.d0-
     &      dexp(-pr2/denom)))
     &      + (pyt/pr2plus*(1.d0-
     &      dexp(-pr2plus/denom)))
     &      + (pyt/pr2minus*(1.d0-
     &      dexp(-pr2minus/denom))))

      dpx = 0.
      dpy = 0.

      return
      end 


