c     calculates variance of trajectories
      subroutine var(amxrms,amyrms) 

c     uses the coordinates x, px, y, py 
c     of all particles and calculates the
c     variance of the action;
c     in tracking should use running average...

      INCLUDE 'param.f'

      real*8 amx(npartmax), amy(npartmax)

      bst = betastar

c     calculate the action for all particles
      do i = 1, npart
      amx(i) = x(i)*x(i)/bst+px(i)*px(i)*bst
      amy(i) = y(i)*y(i)/bst+py(i)*py(i)*bst
      end do 

      axt = 0.
      ayt = 0.
      axt2 = 0.
      ayt2 = 0.

      do i = 1, npart
      axt = axt + amx(i)
      ayt = ayt + amy(i)
      axt2 = axt2 + amx(i)*amx(i)
      ayt2 = ayt2 + amy(i)*amy(i)
      end do
     
      amxmean = axt / real(npart)
      amymean = ayt / real(npart)
      amx2mean = axt2 / real(npart)
      amy2mean = ayt2 / real(npart)
       
      amxrms = sqrt(dabs(amx2mean-amxmean*amxmean))/emit
      amyrms = sqrt(dabs(amy2mean-amymean*amymean))/emit

c      amxrms = amxmean/emit
c      amyrms = amymean/emit
      
      return
      end 
